package no.valg.valgnatt.database.forberedvalg.csv;

import org.supercsv.cellprocessor.ParseDouble;
import org.supercsv.cellprocessor.ParseInt;
import org.supercsv.cellprocessor.constraint.NotNull;

public class CsvMandatberegning extends Csv {

    public CsvMandatberegning() {
        super("mandatberegning.csv",
                new NotNull(),
                new NotNull(),
                new NotNull(),
                new NotNull(),
                new ParseInt(),
                new ParseInt(),
                new ParseInt(),
                new ParseInt(),
                new ParseInt(),
                new ParseInt(),
                new ParseDouble(),
                new ParseInt(),
                new ParseDouble(),
                new ParseInt());
        String[] headers = new String[]{"valgtype", "valgdistriktnr", "partikode", "prognose", "stemmer", "antall", "antall_STDM_i_FY", "antall_utj", "restkvotient_utj",
                "mandatrang_utj", "siste_kvotient", "siste_rang", "neste_kvotient", "neste_rang"};
        super.setHeader(headers);
    }


}
